# API

## API Release Notes for 2.6.5

接口调整如下：

> 【Client API】：现货交易POST /global/tradeapi.app.OrderApiService.addOrder接口添加entryType和expiryType入参：
>
> * entryType：下单类型。1-按数量；2-按额；（如不传，默认 买按额，卖按量）
> * expiryType：到期类型。1-1天；2-7天；3-30天；4-90天。默认4
>
> 【Manager API】：额度调整POST /fund.admin.CustomerAdjustProposalAdminDubboService.addCustomerAdjustProposal接口增加返回提案编号

## API Release Notes for 2.6.2

> 增加合约全仓MM深度成交模式
>
> tradeapi.app.CfdMMOrderApiService.addMarketOrder

## API Release Notes for 2.4.3

> 增加订阅webhook配置功能 admin.admin.CompanyWebhookDubboService.subscribe
>
> 使用外部结算时，禁止调整保证金及杠杆倍数 tradeapi.app.PositionApiService.updateCrossLevelNum tradeapi.app.PositionApiService.updateOccupyTheMargin
>
> 外部结算，提供查询外部系统账户最新余额接口 customer.app.CustomerWebApiService.queryLatestBalanceOfUserAccountInExternalSystem
>
> 支持外部钱包结算 tradeapi.app.OrderApiService.addMarketOrder
>
> 三方注册，登录（不需要手机、邮箱）使用（0.0.2） customer.app.CustomerThirdLoginService.telegramVerify

## API Release Notes for 2.4.2

> 新增代理相关接口 \
> customer.app.CustomerWebApiService.registerOfAgentShareLink customer.app.CustomerWebApiService.queryCustomerOfAgentPage customer.app.CustomerWebApiService.registerOfAgentShareLink
>
> \
> 社交登录： \
> 增加返回开发者ID字段 customer.app.CustomerThirdLoginService.config

## API Release Notes for 2.3.2

> 新增：\
> 首次绑定手机邮箱验证TG验证码 customer.app.CustomerWebApiService.firstSetPhone customer.app.CustomerWebApiService.firstSetEmail customer.app.CustomerWebApiService.firstSetLoginPwd
>
> 提供更新通讯地址及邮政编码接口 customer.app.CustomerWebApiService.changeCustomerAddressAndPostalCode
>
> 提供查询用户消息语言以及设置消息语言接口 version=0.0.1 bizType=customer.app.CustomerWebApiService.findCustomerLang
>
> \
> 调整： \
> KYC证件有效期未填时进行随机生成 customer.app.KycWebApiService.kycLevelApply customer.app.KycWebApiService.kycApply
>
> 返回激活状态 customer.app.CustomerWebApiService.findCustomerInfo customer.app.CustomerWebApiService.login

## API Release Notes for 2.3.1

> 新增： \
> KYC提案被拒绝时，需要给前端返回KYC拒绝的原因 customer.app.KycWebApiService.checkKycApply
>
> 注册接口，玩法资产资产调整为非必填时，取当前公司默认账户组玩法资产进行注册 customer.app.CustomerWebApiService.register
>
> 新增提现地址时，同时需要对提现地址进行安全校验（正则校验） customer.app.CustomerWalletWebApiService.addWithdrawalAddressMFA
>
> 新增提现地址列表接口，并按照币种分组以及按照币种过滤 customer.app.CustomerWalletWebApiService.withdrawalAddressGroupList
>
> 新增提现地址列表，需要增加地址是否可用（根据地址生效时间判断） customer.app.CustomerWalletWebApiService.withdrawalAddressList
>
> \
> 调整： \
> 检查客户的取款限制条件 fund.app.WithdrawAppDubboService.checkWithdrawRiskLimitConfig
>
> 取款金额未配置，不返回提现金额 fund.app.WithdrawAppDubboService.queryRemainWithdrawAmount


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-cn.multimarkets.org/changelogs/api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
